@extends('layouts.admin')



@section('styles')

@endsection



@section('content')
<!-- start page container -->
<div class="page-container">
@include('includes.sidebar')
  <!-- end sidebar menu -->
  <!-- start page content -->
  <div class="page-content-wrapper">
    <div class="page-content">
      <div class="page-bar">
        <div class="page-title-breadcrumb">
          <div class=" pull-left">
            <div class="page-title">Dashboard</div>
          </div>
          <ol class="breadcrumb page-breadcrumb pull-right">
            <li><i class="fa fa-home"></i>&nbsp;<a class="parent-item"
                href="index.html">Home</a>&nbsp;<i class="fa fa-angle-right"></i>
            </li>
            <li class="active">Dashboard</li>
          </ol>
        </div>
      </div>
      <!-- start widget -->
      <div class="state-overview">
        <div class="row">
          <div class="col-xl-4 col-md-6 col-12">
            <div class="info-box bg-blue">
              <span class="info-box-icon push-bottom"><i class="material-icons">style</i></span>
              <div class="info-box-content">
                <span class="info-box-text">Total Booking</span>
                <span class="info-box-number">{{$totalbooking}}</span>
                <div class="progress">
                  <div class="progress-bar width-60"></div>
                </div>
                <!-- <span class="progress-description">
                  60% Increase in 28 Days
                </span> -->
              </div>
              <!-- /.info-box-content -->
            </div>
            <!-- /.info-box -->
          </div>
          <!-- /.col -->
          <div class="col-xl-4 col-md-6 col-12">
            <div class="info-box bg-orange">
              <span class="info-box-icon push-bottom"><i
                  class="material-icons">card_travel</i></span>
              <div class="info-box-content">
                <span class="info-box-text">Approved Booking</span>
                <span class="info-box-number">{{$approved}}</span>
                <div class="progress">
                  <div class="progress-bar width-40"></div>
                </div>
                <!-- <span class="progress-description">
                  40% Increase in 28 Days
                </span> -->
              </div>
              <!-- /.info-box-content -->
            </div>
            <!-- /.info-box -->
          </div>
          <!-- /.col -->
          <div class="col-xl-4 col-md-6 col-12">
            <div class="info-box bg-purple">
              <span class="info-box-icon push-bottom"><i
                  class="material-icons">phone_in_talk</i></span>
              <div class="info-box-content">
                <span class="info-box-text">New Booking</span>
                <span class="info-box-number">{{$new}}</span>
                <div class="progress">
                  <div class="progress-bar width-80"></div>
                </div>
                <!-- <span class="progress-description">
                  80% Increase in 28 Days
                </span> -->
              </div>
              <!-- /.info-box-content -->
            </div>
            <!-- /.info-box -->
          </div>

        </div>
      </div>

      <div class="row">
        <div class="col-md-12 col-sm-12">
          <div class="card  card-box">
            <div class="card-head">
              <header>New Booking Details</header>
              <div class="tools">
                <a class="fa fa-repeat btn-color box-refresh" href="javascript:;"></a>
                <a class="t-collapse btn-color fa fa-chevron-down" href="javascript:;"></a>
                <a class="t-close btn-color fa fa-times" href="javascript:;"></a>
              </div>
            </div>
            <div class="card-body ">
              <div class="table-wrap">
                <div class="table-responsive">
                  <table class="table display product-overview mb-30" id="support_table5">
                    <thead>
                      <tr>
                        <th>Sr #</th>
                        <th>Booking #</th>
                        <th>Booking From</th>
                        <th>No of People</th>
                        <th>Checkin Date+Time</th>
                        <th>Checkout Date+Time</th>
                        <th>Contact no</th>
                        <th>Status</th>
                        <th>Email</th>
                        <th>Action</th>
                      </tr>
                    </thead>
                    <tbody>

                      @foreach($booking as $book)
                      <tr>
                        <td>{{$loop->iteration}}</td>
                        <td>{{$book->booking_no}}</td>
                        <td>{{$book->first_name}} {{$book->last_name}}</td>
                        <td>{{$book->number}} People</td>
                        <td>{{$book->in_date}} {{$book->in_time}}</td>
                        <td>{{$book->out_date}} {{$book->out_time}}</td>
                        <td>{{$book->phone}}</td>
                        <td>
                          @if($book->status == 0)
                          <span class="label label-sm label-success">Reserved/Inprocess</span>
                          @elseif($book->status == 1)
                          <span class="label label-sm label-success">Confirmed</span>
                          @elseif($book->status == 2)
                          <span class="label label-sm label-success">CheckedIn</span>
                          @elseif($book->status == 3)
                          <span class="label label-sm label-success">CheckOut</span>
                          @elseif($book->status == 4)
                          <span class="label label-sm label-success">Canceled</span>
                          @endif
                        </td>
                        <td>{{$book->email}}</td>


                        <td>
                          <div class="btn-group">
                            <button data-toggle="dropdown" class="btn btn-primary dropdown-toggle m-r-20" type="button">
                            Action <span class="caret"></span>
                            </button>
                            <ul role="menu" class="dropdown-menu">
                              <li><a href="{{ route('admin.changestatus' , [$book->id , '0'])}}">Inprocess</a>
                              </li>
                              <li><a href="{{ route('admin.changestatus' , [$book->id , '1'])}}">Confirm</a>
                              </li>
                              <li><a href="{{ route('admin.changestatus' , [$book->id , '2'])}}">CheckedIn</a>
                              </li>
                              <li><a href="{{ route('admin.changestatus' , [$book->id , '3'])}}">CheckOut</a>
                              </li>
                              <li><a href="{{ route('admin.changestatus' , [$book->id , '4'])}}">Cancel</a>
                              </li>
                            </ul>
                          </div>
                        </td>
                      </tr>

                      @endforeach

                    </tbody>
                  </table>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
      <!-- end Payment Details -->
    </div>
  </div>
  <!-- end page content -->
  <!-- start footer -->
  <div class="page-footer">
    <div class="page-footer-inner"> 2021 &copy;
      <a href="#" target="_top" class="makerCss">All Rights Reserved</a>
    </div>
    <div class="scroll-to-top">
      <i class="icon-arrow-up"></i>
    </div>
  </div>
  <!-- end footer -->
</div>
@endsection



@section('scripts')
@endsection
